﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" MadCap:onlyLocalStylesheets="False">
    <head>
        <link href="../../Resources/TableStyles/Default-Table.css" rel="stylesheet" MadCap:stylesheetType="table" /><title>Overview and Methodology</title>
        <link href="../../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Overview and Methodology</h1>
        <p>For a long time, roles are used as a technique for better access control. However, the traditional Role-Based Access Control (RBAC) model has evolved over the years, and the next generation of user access controls is achieved in the following three ways:</p>
        <p>&#160;</p>
        <p>
            <img src="../../Resources/Images/Overview-and-Methordology.png" style="width: 600px;" />
        </p>
        <p>&#160;</p>
        <ul>
            <li>
                <p><strong>Job Rule Matrix:</strong> This technique uses a statistical algorithm to systematically scan all the current access assignments and recommend rules that you can use while on-boarding a new identity. Each rule has a condition and access assignment associated with it. The conditions can be a single HR attribute or a combination of multiple HR attributes. If the system finds the condition meeting any identity, then the corresponding access assignment is done.</p>
            </li>
            <li>
                <p><strong>Static Roles: </strong>This technique follows the best practices of Role-based access control (RBAC). Each identity has a role assigned to it, and some may have multiple roles. The roles are generic and are not specific to any user within an organization. Once roles are engineered, it often requires ongoing management, governance, and sometimes based on the role quality, it also requires an effort to re-engineer it. Several parameters should be observed as part of role simulation within the workbench mode to ensure the role's quality is maintained.</p>
            </li>
            <li>
                <p><strong>Dynamic Roles:</strong> This is a new technique used in the industry to solve the role explosion and management nightmare. Based on the peer access analytics and other intelligent algorithms, the system recommends a group of access that you can assign to the user. Over time, if the system continuously finds the same access group, then these dynamic access-group assignments are recommended to convert to static.</p>
            </li>
        </ul>
        <h1 id="OverviewandMethodology-TypesofStaticContextualRoles">Types of Static Contextual Roles</h1>
        <p>Before starting the role (re)engineering initiative, it is important to develop a role access control strategy by looking at the warehouse and understanding who has access to what. It helps the role analysts build a strategy where they can engineer roles based on job duties, application, cross-application, or a combination of all, including the rule-based assignment of access. The main goal for any role analyst while coming up with a (re)engineering strategy is achieving better efficiency and following the principle of least access. Some of the most common types of contextual roles are as follows:</p>
        <p><strong>Base/Birthright</strong>
        </p>
        <ul>
            <li>
                <p>Grants basic access required for any user across business units</p>
            </li>
            <li>
                <p>Primarily used for birthright provisioning without any approval</p>
            </li>
            <li>
                <p>The assignment is driven off few attributes from HRMS or authoritative source</p>
            </li>
            <li>
                <p>Typically resides as a rule in Saviynt Security Manager</p>
            </li>
        </ul>
        <p><strong>Job/Function</strong>
        </p>
        <ul>
            <li>
                <p>Assigned to users based on their job or business functions</p>
            </li>
            <li>
                <p>Users can have more than one functional roles</p>
            </li>
            <li>
                <p>Requestable or automatically assigned based on rules or attributes</p>
            </li>
            <li>
                <p>Hierarchical and include one or more auxiliary/application roles</p>
            </li>
            <li>
                <p>Typically resides in Saviynt Security Manager</p>
            </li>
        </ul>
        <p><strong>Auxiliary/Application</strong>
        </p>
        <ul>
            <li>
                <p>Contains coarse entitlements for an application</p>
            </li>
            <li>
                <p>Used to combine multiple access levels within an application for ease of request and review</p>
            </li>
            <li>
                <p>Application roles reside persistently in an application and auxiliary in Saviynt Security Manager</p>
            </li>
            <li>
                <p>Auxiliary roles such as DB access, SSO access, dependent access, and so on</p>
            </li>
            <li>
                <p>Typically requestable and certifiable as exception access</p>
            </li>
        </ul>
        <p><strong>Business/Enterprise</strong>
        </p>
        <ul>
            <li>
                <p>Contains coarse entitlements across multiple applications</p>
            </li>
            <li>
                <p>Used to combine multiple access levels across applications for ease of request and review</p>
            </li>
            <li>
                <p>Business or enterprise roles usually reside in Saviynt Security Manager</p>
            </li>
            <li>
                <p>Auxiliary roles such as DB access, SSO access, dependent access, and so on</p>
            </li>
            <li>
                <p>Typically requestable and certifiable </p>
            </li>
        </ul>
        <h2 id="OverviewandMethodology-StaticRolesImpactonIdentityManagementProcesses">Static Roles Impact on Identity Management Processes</h2>
        <div class="table-wrap">
            <table class="TableStyle-Default-Table" style="width: 100%;mc-table-style: url('../../Resources/TableStyles/Default-Table.css');" cellspacing="0">
                <col style="width: 136px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 136px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 136px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 136px;" class="TableStyle-Default-Table-Column-Column1" />
                <col style="width: 136px;" class="TableStyle-Default-Table-Column-Column1" />
                <thead>
                    <tr class="TableStyle-Default-Table-Head-Header1">
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Role Impact</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Base/Birthright</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Job/Function</th>
                        <th class="TableStyle-Default-Table-HeadE-Column1-Header1">Ancillary/Application</th>
                        <th class="TableStyle-Default-Table-HeadD-Column1-Header1">Business/Enterprise</th>
                    </tr>
                </thead>
                <tbody>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Access Request</p>
                            <p class="table-text" />
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Auto-provisioned based on rule conditions</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">One or more levels of approval or auto-provisioned</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">One or more levels of approval</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">One or more levels of approval</p>
                            <p class="table-text" />
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Access Certification</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Auto-certified based on role constraints</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">One or more levels of review</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">One or more levels of review</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">One or more levels of review</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">End user impact</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">High</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">High</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Medium</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Medium</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Risk impact</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Low</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">High</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Medium</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Medium</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Role constraints</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Business rules such as location, type of employment, cost center/BU, job code, and designation</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Functional role granting access based on the job duties</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">Application role granting access to a single application </p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">Business role granting access to multiple applications at once</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">User assignment</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">1:N (User can get access based on multiple birthright rules leveraging roles)</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">1:N (One user can have multiple job roles)</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyE-Column1-Body1">
                            <p class="table-text">1:N (One user can have multiple ancillary/application roles)</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyD-Column1-Body1">
                            <p class="table-text">1:N (One user can have multiple business/enterprise roles)</p>
                        </td>
                    </tr>
                    <tr class="TableStyle-Default-Table-Body-Body1">
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Duration of assignment</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Long term</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Transient based on projects, temporary access requirements, and so on</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyB-Column1-Body1">
                            <p class="table-text">Long term</p>
                        </td>
                        <td class="TableStyle-Default-Table-BodyA-Column1-Body1">
                            <p class="table-text">Long term</p>
                        </td>
                    </tr>
                </tbody>
            </table>
        </div>
    </body>
</html>